INCLUDES = $(all_includes)
METASOURCES = AUTO

kde_kcfg_DATA = kmfconfig.kcfg

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/protocols/
	$(INSTALL_DATA)  $(srcdir)/kmfprotocollibrary.xml $(DESTDIR)$(kde_datadir)/kmyfirewall/protocols/kmfprotocollibrary.xml

uninstall-local:
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/protocols/kmfprotocollibrary.xml

lib_LTLIBRARIES = libkmfcore.la
libkmfcore_la_LDFLAGS = -no-undefined $(KDE_RPATH) $(all_libraries)
libkmfcore_la_SOURCES = ipaddress.cpp \
	iptable.cpp \
	iptchain.cpp \
	iptrule.cpp \
	iptruleoption.cpp \
	kmfapp.cpp \
	kmfappstate.cpp \
	kmfcheckinput.cpp \
	kmfcompilerinterface.cpp \
	kmfconfig.kcfgc \
	kmfdoc.cpp \
	kmferror.cpp \
	kmferrorhandler.cpp \
	kmfgenericdoc.cpp \
	kmfinstallerinterface.cpp \
	kmfiptdoc.cpp \
	kmfnethost.cpp \
	kmfnetwork.cpp \
	kmfnetzone.cpp \
	kmfnetzonelist.cpp \
	kmfplugin.cpp \
	kmfpluginfactory.cpp \
	kmfprotocol.cpp \
	kmfprotocolcategory.cpp \
	kmfprotocollibrary.cpp \
	kmfprotocolusage.cpp \
	kmfruleeditinterface.cpp \
	kmfruleoptioneditinterface.cpp \
	kmfrulesetdoc.cpp \
	kmfruletargetoptioneditinterface.cpp \
	kmftargetconfig.cpp \
	kmftarget.cpp \
	kmftransaction.cpp \
	kmfundoengine.cpp \
	kmyfirewallinterface.cpp \
	kprocesswrapper.cpp \
	netfilterobject.cpp \
	xmlnames.cpp

libkmfcoreincludedir = $(includedir)/kmyfirewall/core/

libkmfcore_la_LIBADD = $(LIB_TDEPARTS) $(LIB_TDEIO) $(LIB_QT) $(LIB_TDECORE) $(LIB_TDEUI)

libkmfcoreinclude_HEADERS = ipaddress.h \
	iptable.h \
	iptchain.h \
	iptrule.h \
	iptruleoption.h \
	kmfapp.h \
	kmfappstate.h \
	kmfcheckinput.h \
	kmfcompilerinterface.h \
	kmfdoc.h \
	kmferror.h \
	kmferrorhandler.h \
	kmfgenericdoc.h \
	kmfinstallerinterface.h \
	kmfiptdoc.h \
	kmfnethost.h \
	kmfnetwork.h \
	kmfnetzone.h \
	kmfnetzonelist.h \
	kmfplugin.h \
	kmfpluginfactory.h \
	kmfprotocol.h \
	kmfprotocolcategory.h \
	kmfprotocollibrary.h \
	kmfprotocolusage.h \
	kmfruleeditinterface.h \
	kmfruleoptioneditinterface.h \
	kmfrulesetdoc.h \
	kmfruletargetoptioneditinterface.h \
	kmftargetconfig.h \
	kmftarget.h \
	kmftransaction.h \
	kmfundoengine.h \
	kmyfirewallinterface.h \
	kprocesswrapper.h \
	netfilterobject.h \
	xmlnames.h
